Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		libffado
#Epoch:		0
Version:	2.0.0
Release:	1
License:	GNU/GPLv2
URL:		http://www.ffado.org/
Group:		Multimedia/Audio
Summary:	free linux firewire audio drivers
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:
Patch0:		libffado-2.0.0-python26.patch

# Requires:

# BuildRequires:
BuildRequires:	scons
BuildRequires:  python26-pyqt-devel
BuildRequires:  dbus-python26-devel
BuildRequires:	xdg-utils

#Automatically resolved build dependencies
BuildRequires: dbus-devel
BuildRequires: expat-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: glibmm-devel
BuildRequires: libgcc
BuildRequires: libiec61883-devel
BuildRequires: libraw1394-devel
BuildRequires: libsigc++-devel
BuildRequires: libstdc++-devel
BuildRequires: libxml2-devel
BuildRequires: libxml++-devel
BuildRequires: pkg-config
BuildRequires: python26-devel

%description
The FFADO project aims to provide a generic, open-source solution for the support of FireWire based audio devices for the Linux platform.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
#scons PREFIX=%_prefix ENABLE_OPTIMIZATIONS=true

%install
rm -rf $RPM_BUILD_ROOT
scons PREFIX="%_prefix" DESTDIR="$RPM_BUILD_ROOT" ENABLE_OPTIMIZATIONS=true install

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cp support/xdg/ffado.org-ffadomixer.desktop $RPM_BUILD_ROOT%{_datadir}/applications/ffado.org-ffadomixer.desktop

# remove debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'


%files
%defattr(-,root,root)
%{_bindir}/ffado-bridgeco-downloader
%{_bindir}/ffado-dbus-server
%{_bindir}/ffado-diag
%{_bindir}/ffado-fireworks-downloader
%{_bindir}/ffado-test
%{_bindir}/ffado-test-isorecv
%{_bindir}/ffado-test-isoxmit
%{_bindir}/ffado-test-streaming
%{_bindir}/ffado-mixer
%{_libdir}/libffado.so.*
%{_datadir}/applications/ffado.org-ffadomixer.desktop
%{_datadir}/libffado

%files devel
%defattr(-,root,root)
%{_includedir}/libffado/ffado.h
%{_pkgconfig}/libffado.pc
%{_libdir}/libffado.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Dec 29 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0-1
- initial CCux package release
